{
  "name": "web",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --clearScreen false",
    "build": "tsc && vite build",
    "preview": "vite preview",
    "clean": "rm -rf dist && rm -rf node_modules && rm -rf .turbo",
    "check:deps": "pnpm exec depcheck",
    "lint": "biome lint --fix",
    "format": "biome format --write"
  },
  "dependencies": {
    "@erp/core": "workspace:*",
    "@erp/invoices": "workspace:*",
    "@repo/rdx-criteria": "workspace:*",
    "@repo/rdx-ui": "workspace:*",
    "@repo/shadcn-ui": "workspace:*",
    "@tanstack/react-query": "^5.74.11",
    "axios": "^1.9.0",
    "i18next": "^25.0.2",
    "i18next-browser-languagedetector": "^8.1.0",
    "react": "^19.1.0",
    "react-dom": "^19.1.0",
    "react-hook-form": "^7.55.0",
    "react-hook-form-persist": "^3.0.0",
    "react-i18next": "^15.0.1",
    "react-router-dom": "^6.26.0",
    "react-secure-storage": "^1.3.2",
    "tailwind-merge": "^3.2.0",
    "tailwindcss": "^4.1.6",
    "tailwindcss-animate": "^1.0.7",
    "tw-animate-css": "^1.2.9",
    "vite-plugin-html": "^3.2.2"
  },
  "devDependencies": {
    "@biomejs/biome": "1.9.4",
    "@hookform/devtools": "^4.4.0",
    "@repo/typescript-config": "workspace:*",
    "@tailwindcss/postcss": "^4.1.5",
    "@tailwindcss/vite": "^4.1.6",
    "@tanstack/react-query-devtools": "^5.74.11",
    "@types/node": "^22.15.12",
    "@types/react": "^19.1.2",
    "@types/react-dom": "^19.1.3",
    "@vitejs/plugin-react": "^4.4.1",
    "autoprefixer": "^10.4.20",
    "globals": "^16.0.0",
    "typescript": "~5.8.3",
    "vite": "^6.3.5",
    "vite-plugin-robots": "^1.0.5",
    "vite-plugin-static-copy": "^2.3.1"
  }
}
